Skip to main content
GET
/
api
/
dataframer
/
anonymization-runs
/
{run_id}
Get an anonymization run
import requests

url = "https://df-api.dataframer.ai/api/dataframer/anonymization-runs/{run_id}/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "PENDING",
  "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "dataset_name": "<string>",
  "pii_types": [
    "<string>"
  ],
  "detection_method": "<string>",
  "llm_model_name": "<string>",
  "created_by_email": "[email protected]",
  "duration_seconds": 123,
  "results": {
    "entity_summary": {},
    "samples_processed": 123,
    "entities_found": [
      {
        "start": 123,
        "end": 123,
        "label": "<string>",
        "score": 123
      }
    ],
    "error": "<string>"
  },
  "anonymized_files": [
    {
      "id": "<string>",
      "path": "<string>",
      "size_in_bytes": 123,
      "content_type": "<string>"
    }
  ],
  "completed_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API Key authentication. Format: "Bearer YOUR_API_KEY"

Path Parameters

run_id
string<uuid>
required

UUID of the anonymization run.

Response

Anonymization run details

A PII/PHI anonymization run.

id
string<uuid>

Unique identifier for the anonymization run.

status
enum<string>

Current status of the anonymization run.

Available options:
PENDING,
PROCESSING,
SUCCEEDED,
FAILED
dataset_id
string<uuid> | null

UUID of the seed dataset being anonymized.

dataset_name
string | null

Name of the seed dataset.

pii_types
string[]

List of PII/PHI entity types being detected.

detection_method
string

Entity detection method used.

llm_model_name
string | null

LLM model name (when detection_method includes llm).

created_by_email
string<email> | null

Email of the user who created this run.

duration_seconds
integer | null

Time taken to complete the run in seconds. Null until completed.

results
object

Anonymization results once the run completes.

anonymized_files
object[]

List of anonymized output files produced by the run.

completed_at
string<date-time> | null

When the run completed (succeeded or failed).

created_at
string<date-time>

When the run was created.